@import "pref";

app-layout-auth {
  width: 100%;
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;

  .page-header,
  .page-main,
  .page-footer {
    flex-shrink: 0; //important, so that the blocks are correctly extended in height
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;
  }

  .page-header {
    height: $page-header-height;
    background-color: $color-white;
  }

  .page-main {
    flex-grow: 1;
    background-color: $color-white;
  }

  .page-footer {
    margin-top: auto;
    border-top: 0;
    background-color: $color-white;
  }

  .header-content {

    justify-content: flex-end;
    align-items: stretch;

    app-logo-header {
      margin-left: 16px;
    }
  }

  .header-content__nav {
    user-select: none;
  }

  .header-content__nav-item {
    padding-top: 3px;
  }

  .header-content__nav-item:nth-child(1) {
    word-spacing: -1px;
  }

  .footer-content {
    padding: 10px $indent-horizontal;
    user-select: none;

    justify-content: flex-start;
    align-items: center;

    app-language {
      margin-left: auto;
    }
  }

  .footer-content__item:not(:last-child),
  .footer-content__law-item:not(:last-child) {
    margin-right: 20px;
  }

  .mat-tab-link {
    min-width: 110px; // override material tab its own grid @media (max-width: 599px)
    padding: 0 10px;

    @include fonts4($font-size-x3, $font-size-x3, $font-weight-normal, normal);

    &:hover:not(.mat-tab-label-active) {
      text-decoration: underline;
    }
    opacity: 1;
  }

  .mat-tab-link:first-child {
    color: $color-indigo-approx;
  }

  .mat-tab-link:nth-child(2) {
    color: $color-japanese-laurel-approx;
  }

  .mat-tab-nav-bar {
    border-bottom: 0;
  }

  .mat-ink-bar {
    height: 2px;
  }
}

//
// ADAPTIVE
//
@include media-tablet {

  app-layout-auth {

    .mat-tab-link {
      min-width: 150px;
    }
  }
}
